Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 706904 - dev-python/pyparted-3.11.3 : fails to build with -fno-common or gcc-10
Summary: dev-python/pyparted-3.11.3 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo LiveCD Package Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-28 18:35 UTC by Toralf Förster
Modified: 2020-01-29 11:32 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.94 KB, text/plain)
2020-01-28 18:35 UTC, Toralf Förster
Details
dev-python:pyparted-3.11.3:20200128-083524.log (dev-python:pyparted-3.11.3:20200128-083524.log,61.02 KB, text/plain)
2020-01-28 18:35 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,92.98 KB, text/plain)
2020-01-28 18:35 UTC, Toralf Förster
Details
environment (environment,112.16 KB, text/plain)
2020-01-28 18:35 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,17.87 KB, application/x-bzip)
2020-01-28 18:35 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,26.49 KB, application/x-bzip)
2020-01-28 18:35 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-28 18:35:41 UTC
x86_64-pc-linux-gnu-gcc -fno-strict-aliasing -O2 -pipe -march=native -fno-common -fwrapv -DNDEBUG -O2 -pipe -march=native -fno-common -fPIC -DPYPARTED_VERSION="3.11.3" -Iinclude -I/usr/include/python2.7 -c src/pynatmath.c -o /var/tmp/portage/dev-python/pyparted-3.11.3/work/pyparted-3.11.3-python2_7/temp.linux-x86_64-2.7/src/pynatmath.o
x86_64-pc-linux-gnu-gcc -fno-strict-aliasing -O2 -pipe -march=native -fno-common -fwrapv -DNDEBUG -O2 -pipe -march=native -fno-common -fPIC -DPYPARTED_VERSION="3.11.3" -Iinclude -I/usr/include/python2.7 -c src/pytimer.c -o /var/tmp/portage/dev-python/pyparted-3.11.3/work/pyparted-3.11.3-python2_7/temp.linux-x86_64-2.7/src/pytimer.o
x86_64-pc-linux-gnu-gcc -fno-strict-aliasing -O2 -pipe -march=native -fno-common -fwrapv -DNDEBUG -O2 -pipe -march=native -fno-common -fPIC -DPYPARTED_VERSION="3.11.3" -Iinclude -I/usr/include/python2.7 -c src/pyunit.c -o /var/tmp/portage/dev-python/pyparted-3.11.3/work/pyparted-3.11.3-python2_7/temp.linux-x86_64-2.7/src/pyunit.o
x86_64-pc-linux-gnu-gcc -shared -Wl,-O1 -Wl,--as-needed -O2 -pipe -march=native -fno-common /var/tmp/portage/dev-python/pyparted-3.11.3/work/pyparted-3.11.3-python2_7/temp.linux-x86_64-2.7/src/_pedmodule.o /var/tmp/portage/dev-python/pyparted-3.11.3/work/pyparted-3.11.3-python2_7/temp.linux-x86_64-2.7/src/convert.o /var/tmp/portage/dev-python/pyparted-3.11.3/work/pyparted-3.11.3-python2_7/temp.linux-x86_64-2.7/src/pyconstraint.o /var/tmp/portage/dev-python/pyparted-3.11.3/work/pyparted-3.11.3-python2_7/temp.linux-x86_64-2.7/src/pydevice.o /var/tmp/portage/dev-python/pyparted-3.11.3/work/pyparted-3.11.3-python2_7/temp.linux-x86_64-2.7/src/pydisk.o /var/tmp/portage/dev-python/pyparted-3.11.3/work/pyparted-3.11.3-python2_7/temp.linux-x86_64-2.7/src/pyfilesys.o /var/tmp/portage/dev-python/pyparted-3.11.3/work/pyparted-3.11.3-python2_7/temp.linux-x86_64-2.7/src/pygeom.o /var/tmp/portage/dev-python/pyparted-3.11.3/work/pyparted-3.11.3-python2_7/temp.linux-x86_64-2.7/src/pynatmath.o /var/tmp/portage/dev-python/pyparted-3.11.3/work/pyparted-3.11.3-python2_7/temp.linux-x86_64-2.7/src/pytimer.o /var/tmp/portage/dev-python/pyparted-3.11.3/work/pyparted-3.11.3-python2_7/temp.linux-x86_64-2.7/src/pyunit.o -L/usr/lib64 -lparted -lpython2.7 -o /var/tmp/portage/dev-python/pyparted-3.11.3/work/pyparted-3.11.3-python2_7/lib/_ped.so
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: /var/tmp/portage/dev-python/pyparted-3.11.3/work/pyparted-3.11.3-python2_7/temp.linux-x86_64-2.7/src/convert.o:(.bss+0x20): multiple definition of `PartedException'; /var/tmp/portage/dev-python/pyparted-3.11.3/work/pyparted-3.11.3-python2_7/temp.linux-x86_64-2.7/src/_pedmodule.o:(.bss+0x38): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: /var/tmp/portage/dev-python/pyparted-3.11.3/work/pyparted-3.11.3-python2_7/temp.linux-x86_64-2.7/src/convert.o:(.bss+0x58): multiple definition of `DeviceException'; /var/tmp/portage/dev-python/pyparted-3.11.3/work/pyparted-3.11.3-python2_7/temp.linux-x86_64-2.7/src/_pedmodule.o:(.bss+0x70): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1-libressl-20200125-183534

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 7.10.3

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Tue, 28 Jan 2020 08:06:23 +0000

emerge -qpvO dev-python/pyparted
[ebuild  N    ] dev-python/pyparted-3.11.3  PYTHON_TARGETS="python2_7 python3_6"
Comment 1 Toralf Förster gentoo-dev 2020-01-28 18:35:44 UTC
Created attachment 606468 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-28 18:35:47 UTC
Created attachment 606470 [details]
dev-python:pyparted-3.11.3:20200128-083524.log
Comment 3 Toralf Förster gentoo-dev 2020-01-28 18:35:49 UTC
Created attachment 606472 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-01-28 18:35:52 UTC
Created attachment 606474 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-01-28 18:35:55 UTC
Created attachment 606476 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-28 18:35:58 UTC
Created attachment 606478 [details]
temp.tbz2
Comment 7 Larry the Git Cow gentoo-dev 2020-01-29 11:32:10 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19ccf51b5c79a78516470d81b4232ae7f96a4433

commit 19ccf51b5c79a78516470d81b4232ae7f96a4433
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-29 10:42:49 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-29 11:32:05 +0000

    dev-python/pyparted: Set CFLAGS=-fcommon
    
    Package-Manager: Portage-2.3.86, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=706904
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 dev-python/pyparted/pyparted-3.11.3.ebuild | 7 ++++++-
 dev-python/pyparted/pyparted-999999.ebuild | 7 ++++++-
 2 files changed, 12 insertions(+), 2 deletions(-)